/* fileguardian_if.h */

/* ---------------------------- forward declarations ----------------------- */

DIR *fileg_safe_opendir_with_mode(const char *name, mode_t mode_forbidden);
DIR *fileg_safe_opendir(const char *name);
int fileg_check_dir_safety_with_mode(const char *name, mode_t mode_forbidden);
int fileg_check_cwd_safety(void);
FILE *fileg_safe_tmpfile_with_name(char *ret_filename, char *dest_path);
FILE *fileg_safe_tmpfile(void);
int fileg_remove_fuzz_from_path(char *path);
int fileg_is_absolute_path(const char *path);
int fileg_is_relative_path(const char *path);
int fileg_is_local_relative_path(const char *path);
int fileg_is_path(const char *path);
int fileg_is_filename(const char *path);
