/* inputguardian_if.h */

/* ---------------------------- forward declarations ----------------------- */

int inputg_parse_i(const char *string, const char **endptr, int *retval);
int inputg_parse_ui(
	const char *string, const char **endptr, unsigned int *retval);
int inputg_parse_l(
	const char *string, const char **endptr, long int *retval);
int inputg_parse_ul(
	const char *string, const char **endptr, unsigned long int *retval);
int inputg_parse_s(
	const char *string, const char **endptr, short int *retval);
int inputg_parse_us(
	const char *string, const char **endptr, unsigned short int *retval);
int inputg_parse_sc(
	const char *string, const char **endptr, signed char *retval);
int inputg_parse_uc(
	const char *string, const char **endptr, unsigned char *retval);
int inputg_parse_c(
	const char *string, const char **endptr, char *retval);
char *inputg_escape_html(const char *input);
char *inputg_escape_all_html(const char *input);
char *inputg_escape_html_with_tag_table(
	const char *input, const char * const *allowed_tags);
int inputg_is_simple_email_address(const char *addr);
